import { TreeTableRowActionType } from './tree-table-row-action-type';

export class TreeTableRowAction {
    label: string;
    title: string;
    classes: string;
    action: Function;
    type: TreeTableRowActionType = TreeTableRowActionType.BUTTON;
    context: any;

    constructor(label: string, title: string, classes: string, action: Function) {
        this.label = label;
        this.title = title;
        this.classes = classes;
        this.action = action;
    }
}
